# Uses of Enum Class
org.apache.sysds.runtime.compress.workload.AWTreeNode.WTNodeType

Packages that use AWTreeNode.WTNodeType
Package
Description
org.apache.sysds.runtime.compress.workload

## Uses of AWTreeNode.WTNodeType in org.apache.sysds.runtime.compress.workload

Methods in org.apache.sysds.runtime.compress.workload that return AWTreeNode.WTNodeType
Modifier and Type
Method
Description
`AWTreeNode.WTNodeType`
AWTreeNode.`getType()`
`static AWTreeNode.WTNodeType`
AWTreeNode.WTNodeType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static AWTreeNode.WTNodeType[]`
AWTreeNode.WTNodeType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.apache.sysds.runtime.compress.workload with parameters of type AWTreeNode.WTNodeType
Modifier
Constructor
Description
``
`AWTreeNode(AWTreeNode.WTNodeType type)`
``
`WTreeNode(AWTreeNode.WTNodeType type, int reps)`